[ Maverik Level 3 functions ]

#

mav_surfaceParamsIsTransparent

## Summary

Query surface parameters for transparency.

## Syntax

int mav_surfaceParamsIsTransparent(MAV_window *w, MAV_surfaceParams *sp);

- MAV_window *w
  Window with which surface parameters are associated.

- MAV_surfaceParams *sp
  Surface parameters.

## Description

This function examines the alpha components of surface parameters `sp` on window `w`, returning MAV_TRUE if the surface parameters are transparent, otherwise MAV_FALSE. This function is used internally by the kernel to perform rendering of transparent objects at the correct time.

Back to the index page.